RSRawDecoder (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.io.erasurecode.rawcoder, class: RSRawDecoder

Package org.apache.hadoop.io.erasurecode.rawcoder

# Class RSRawDecoder

java.lang.Object
org.apache.hadoop.io.erasurecode.rawcoder.RawErasureDecoder
org.apache.hadoop.io.erasurecode.rawcoder.RSRawDecoder

@Private public class RSRawDecoder extends RawErasureDecoder
A raw erasure decoder in RS code scheme in pure Java in case native one isn't available in some environment. Please always use native implementations when possible. This new Java coder is about 5X faster than the one originated from HDFS-RAID, and also compatible with the native/ISA-L coder.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RSRawDecoder(ErasureCoderOptions coderOptions)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `doDecode(org.apache.hadoop.io.erasurecode.rawcoder.ByteArrayDecodingState decodingState)`
  Perform the real decoding using bytes array, supporting offsets and lengths.
  `protected void`
  `doDecode(org.apache.hadoop.io.erasurecode.rawcoder.ByteBufferDecodingState decodingState)`
  Perform the real decoding using Direct ByteBuffer.

  ### Methods inherited from class org.apache.hadoop.io.erasurecode.rawcoder.RawErasureDecoder

  `allowChangeInputs, allowVerboseDump, decode, decode, decode, getNumAllUnits, getNumDataUnits, getNumParityUnits, preferDirectBuffer, release`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RSRawDecoder

    public RSRawDecoder(ErasureCoderOptions coderOptions)

- ## Method Details

  - ### doDecode

    protected void doDecode(org.apache.hadoop.io.erasurecode.rawcoder.ByteBufferDecodingState decodingState)
    Description copied from class: `RawErasureDecoder`
    Perform the real decoding using Direct ByteBuffer.
    Specified by:
      `doDecode` in class `RawErasureDecoder`
    Parameters:
      `decodingState` - the decoding state

  - ### doDecode

    protected void doDecode(org.apache.hadoop.io.erasurecode.rawcoder.ByteArrayDecodingState decodingState)
    Description copied from class: `RawErasureDecoder`
    Perform the real decoding using bytes array, supporting offsets and lengths.
    Specified by:
      `doDecode` in class `RawErasureDecoder`
    Parameters:
      `decodingState` - the decoding state